From 12b2c3ad6a5c5c7f67afe87fec3f81761de0b909 Mon Sep 17 00:00:00 2001
From: Lars Wendler <polynomial-c@gentoo.org>
Date: Sun, 10 Feb 2019 22:54:51 +0100
Subject: [PATCH] Prefer pkgconfig in FindBLAS

---
 Modules/FindBLAS.cmake | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/Modules/FindBLAS.cmake b/Modules/FindBLAS.cmake
index 0aa4f5035b..7b67c95f1f 100644
--- a/Modules/FindBLAS.cmake
+++ b/Modules/FindBLAS.cmake
@@ -7,6 +7,10 @@ FindBLAS
 
 Find BLAS library
 
+Version modified for Gentoo Linux.
+If a valid PkgConfig configuration is found, this overrides and cancels
+all further checks.
+
 This module finds an installed fortran library that implements the
 BLAS linear-algebra interface (see http://www.netlib.org/blas/).  The
 list of libraries searched for is taken from the autoconf macro file,
@@ -85,6 +89,9 @@ This module defines the following variables:
     find_package(BLAS)
 #]=======================================================================]
 
+# first, try PkgConfig
+set(BLA_PREFER_PKGCONFIG On)
+
 include(${CMAKE_CURRENT_LIST_DIR}/CheckFunctionExists.cmake)
 include(${CMAKE_CURRENT_LIST_DIR}/CheckFortranFunctionExists.cmake)
 include(${CMAKE_CURRENT_LIST_DIR}/CMakePushCheckState.cmake)
-- 
2.20.1

